The Payment Card Industry Data Security Standard (PCI DSS) is a set of requirements developed by the major credit card companies to enhance credit card data security. All organizations that process, store, or transmit payment card data must be PCI DSS compliant or risk losing their ability to process credit card payments. As of October 2008, any organization that requires a new merchant ID from the credit card companies must be PCI DSS compliant. As of July 2010, all organizations must be PCI DSS compliant to process credit cards.

Version 7.77 and higher of The Financial Edge, The Education Edge, and Blackbaud Student Information System complies with PCI DSS requirements and meets the Payment Application Data Security Standards (PA-DSS). By installing version 7.77 and higher, your credit card data will be more secure and you'll notice these changes: 

  • The Credit Card Number field on payments will display only the last four digits of the credit card number.
  • For new payments, users will not be able to enter the entire credit card number.
  • For existing payments, on which the entire credit card number was previously displayed, the rest of the credit card number will be removed and users will not be able to retrieve this data.

General information regarding PCI DSS, including a PCI DSS self-assessment questionnaire, can be found at www.pcisecuritystandards.org.

Note: We provide links to third-party websites in an effort to help you resolve your issue. We are not responsible for the information on third-party websites, and we cannot assist in implementing the solutions on these websites.